<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="cn.iocoder.yudao.module.inspection.mapper.InspectionFileRecordMapper">
    <select id="getRecordList" resultType="cn.iocoder.yudao.module.inspection.entity.InspectionFileRecord">
        select record.*,user.nickname
        from inspection_file_record record
        LEFT JOIN system_users user on record.creator = user.id
        where record.file_id = #{id}
          and record.deleted = 0
    </select>
</mapper>
